#img-cover-pict-preview {
    width: 100%;
    min-height: 150px;
    max-height: 300px;
    margin-bottom: -100px;
}

#img-profile-pict-preview {
    width: 100%;
}

.hidden {
    display: none;
}

.page-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    gap: 10px;
}

#coverPictContainer {
    width: 95%;
    min-height: 35%;
    max-height: 400px;
}

#coverPict {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

#profilePictContainer {
    width: 95%;
    min-height: 15%;
    max-height: 200px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

#accountProfilePict {
    display: block;
    width: 15%;
    height: 100%;
    border-radius: 10px;
}

#nameContainer {
    display: flex;
    flex-direction: column;
    padding-left: 20px;
    height: 100%;
}

#username {
    font-weight: bold;
    font-size: large
}

#longName {
    font-weight: bold;
    font-size: xx-large;
}

#profileMenuContainer {
    gap: 20px;
    position: relative;
    flex: 1;
    padding-right: 10px;
    display: flex;
    justify-content: end;
}

#listPostContainer {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    margin-bottom: 50px;
    flex-wrap: wrap;
}

.post-container {
    height: 600px;
    width: 20%;
    margin-top: 50px;
    overflow-y: hidden;
}

.post-account-info {
    display: flex;
    margin-bottom: 10px;
    margin-top: 10px;
    margin-left: 10px;
    align-items: center;
}

.post-username {
    font-weight: 650;
    margin-left: 10px;
}

.post-image-profile {
    margin-left: 10px;
    width: 40px;
    height: 40px;
}

.post-cta-btn {
    right: 0;
    position: absolute;
}

.created-at-text {
    margin-left: 10px;
}

.follow-data-container {
    margin-top: 10px;
    display: flex;
    gap: 5px;
}

#userFollowDataContainer {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.user-follow-container {
    display: flex;
}